> ## Documentation Index
> Fetch the complete documentation index at: https://docs.centralcart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Chat

> Retorna o canal de chat do pedido.



## OpenAPI

````yaml /openapi/chat.yaml get /app/order/{order-id}/chat
openapi: 3.1.0
info:
  title: CentralCart API
  version: 1.0.0
servers:
  - url: https://api.centralcart.io/v1
    description: Produção
security:
  - bearerAuth: []
paths:
  /app/order/{order-id}/chat:
    get:
      tags:
        - Chat
      summary: Order Chat
      description: Retorna o canal de chat do pedido.
      operationId: getOrderChat
      parameters:
        - name: order-id
          in: path
          required: true
          description: O ID interno do pedido (`internal_id`)
          schema:
            type: string
      responses:
        '200':
          description: Canal de chat do pedido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Chat'
              example:
                channel_id: 66b2f4c1d1a7c9f2b3a04e11
                order_id: nwwcsZCXz_QQ
                type: order
                status: active
                last_message: Seu item já foi entregue!
                is_buyer_online: true
                created_at: '2026-09-20T18:12:03.000Z'
                updated_at: '2026-09-20T18:31:44.000Z'
        '404':
          description: Pedido não encontrado, ou pedido ainda sem chat.
components:
  schemas:
    Chat:
      type: object
      properties:
        channel_id:
          type: string
          description: Identificador do canal
        order_id:
          type: string
          nullable: true
          description: O ID interno do pedido
        type:
          type: string
          description: '`order` para o chat do pedido'
        status:
          type: string
          description: '`active` ou `archived`'
        last_message:
          type: string
          nullable: true
        is_buyer_online:
          type: boolean
          description: Se o cliente está com o chat aberto neste momento
        created_at:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Token de API gerado no painel da CentralCart.

````